/*************************************************************************
 *
 * IPAT Interferometer threshold curve plotting utility
 * v2.3 7/30/96
 *
 *************************************************************************/


#ifdef __STDC__

extern int  GR_info(int);                 /* return info                  */
extern int  GR_open(char*);               /* start graphics               */
extern int  GR_close(void);               /* exit                         */
extern int  GR_update(void);              /* update screen (nop here)     */
extern void GR_pixel(int,int);            /* draw pixel in current color  */
extern void GR_line(int,int,int,int);     /* draw line, cur colr, style   */
extern void GR_box(int,int,int,int);      /* draw box cur colr, fillpatt  */
extern void GR_polygon(MFBPOLYGON*);      /* draw polygon                 */
extern int  GR_defLs(int,int);            /* define new line style        */
extern int  GR_setLs(int);                /* set current line style       */
extern int  GR_defFp(int,int*);           /* define new fill pattern      */
extern int  GR_setFp(int);                /* set fill pattern             */
extern int  GR_defColor(int,int,int,int); /* define new color             */
extern int  GR_setColor(int);             /* set current color            */
extern void GR_text(char*,int,int,int);   /* display text                 */
extern void GR_scText(char*,int,int,int,int);/* text with big pixels      */

#else

extern int  GR_info();                    /* return info                  */
extern int  GR_open();                    /* start graphics               */
extern int  GR_close();                   /* exit                         */
extern int  GR_update();                  /* update screen (nop here)     */
extern void GR_pixel();                   /* draw pixel in current color  */
extern void GR_line();                    /* draw line, cur colr, style   */
extern void GR_box();                     /* draw box cur colr, fillpatt  */
extern void GR_polygon();                 /* draw polygon                 */
extern int  GR_defLs();                   /* define new line style        */
extern int  GR_setLs();                   /* set current line style       */
extern int  GR_defFp();                   /* define new fill pattern      */
extern int  GR_setFp();                   /* set fill pattern             */
extern int  GR_defColor();                /* define new color             */
extern int  GR_setColor();                /* set current color            */
extern void GR_text();                    /* display text                 */
extern void GR_scText();                  /* text with big pixels         */

#endif


